## audiotube 25.08.1+p24.04+vstable+git20250917.0434

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Jonah Brüchert <jbb@kaidan.im>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16.0)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(audiotube VERSION ${RELEASE_SERVICE_VERSION})

include(FeatureSummary)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_MIN_VERSION "6.4.0")
set(KF_MIN_VERSION "6.5.0")
set(KF_MAJOR_VERSION "6")

find_package(ECM 6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMAddTests)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX AUDIOTUBE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

kde_enable_exceptions()

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Sql Widgets Multimedia Concurrent DBus)
find_package(KF6 REQUIRED COMPONENTS Kirigami I18n CoreAddons Crash WindowSystem IconThemes)
find_package(pybind11 REQUIRED)
find_package(Ytdlp REQUIRED RUNTIME)
find_package(YTMusicAPI 1.10.2 REQUIRED RUNTIME)
find_package(KF6KirigamiAddons 0.11.0 REQUIRED)
find_package(FutureSQL6 REQUIRED)
find_package(QCoro6 0.10.0 REQUIRED COMPONENTS Core)

if(NOT TARGET Qt6::QGstreamerMediaPlugin)
  message(FATAL_ERROR "QtMultimedia gstreamer backend not found. AudioTube only works with the gstreamer backend.")
endif()

ki18n_install(po)

add_subdirectory(src)

install(PROGRAMS org.kde.audiotube.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.audiotube.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.audiotube.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## audiotube 25.04.3

=== debian/changelog ===
audiotube (25.04.3-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 13:52:09 +0000

audiotube (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:17:22 +0000

audiotube (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:29:30 +0000

audiotube (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:02:52 +0000

audiotube (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:23:21 +0000

audiotube (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:56:33 +0000

audiotube (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:17:03 +0000

audiotube (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:16:05 +0000

audiotube (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:04:07 +0000

audiotube (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:28:13 +0000

audiotube (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:52:32 +0000

audiotube (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:24:11 +0000

audiotube (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:17:56 +0000

audiotube (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:00:14 +0000

audiotube (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:15:40 +0000

audiotube (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:00:25 +0000

audiotube (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:49:25 +0000

audiotube (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:26:29 +0000

audiotube (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 17:16:41 +0000

audiotube (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:04:15 +0000

audiotube (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:52:15 +0000

audiotube (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:35:38 +0000

audiotube (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:09:58 +0000

audiotube (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 02 Dec 2022 02:26:08 +0000

audiotube (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000

=== debian/control ===
Source: audiotube
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kwindowsystem-dev,
               kf6-purpose-dev,
               libfuturesql6-dev,
               libpython3-dev,
               pkg-kde-tools-neon,
               pybind11-dev,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               yt-dlp,
               ytmusicapi
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/audiotube
Vcs-Git: https://invent.kde.org/neon/neon-packaging/audiotube.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/audiotube
Maintainer: Neon CI <neon@kde.org>

Package: audiotube
Architecture: any
Depends: ffmpeg,
         qml6-module-org-kde-kirigami-addons-datetime,
         qml6-module-org-kde-kirigami-addons-labs-mobileform,
         qml6-module-org-kde-kirigami-addons-sounds,
         qml6-module-org-kde-kirigami-addons-treeview,
         qml6-module-org-kde-purpose,
         qml6-module-qtmultimedia,
         yt-dlp,
         ytmusicapi,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Convergent YouTube Music client
 AudioTube can search YouTube Music, list albums and artists, play
 automatically generated playlists, albums and allows to put your own
 playlist together.

## audiotube 25.08.0

=== debian/changelog ===
audiotube (25.08.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 08:25:04 +0000

audiotube (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:02:39 +0000

## audiotube 25.08.1

=== debian/changelog ===
audiotube (25.08.1-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 07:12:03 +0000

audiotube (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:34:11 +0000

## audiotube 25.08.1+p24.04+vstable+git20250917.0434

=== debian/changelog ===
audiotube (25.08.1+p24.04+vstable+git20250917.0434-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 04:34:43 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                kf6-kcoreaddons-dev,
                kf6-kcrash-dev,
                kf6-ki18n-dev,
+               kf6-kiconthemes-dev,
                kf6-kirigami-addons-dev,
                kf6-kirigami2-dev,
                kf6-kwindowsystem-dev,

## audiotube 25.08.1+p24.04+vstable+git20251001.0043

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(audiotube VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
audiotube (25.08.1+p24.04+vstable+git20251001.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:43:21 +0000

## audiotube 25.08.2

=== debian/changelog ===
audiotube (25.08.2-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 05:52:58 +0000

audiotube (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:10:30 +0000

## audiotube 25.08.2+p24.04+vstable+git20251015.1732

=== debian/changelog ===
audiotube (25.08.2+p24.04+vstable+git20251015.1732-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:32:12 +0000

## audiotube 25.08.2+p24.04+vstable+git20251019.0559

=== debian/changelog ===
audiotube (25.08.2+p24.04+vstable+git20251019.0559-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:59:22 +0000

## audiotube 25.08.2+p24.04+vstable+git20251028.1002

=== debian/changelog ===
audiotube (25.08.2+p24.04+vstable+git20251028.1002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:02:18 +0000

## audiotube 25.08.2+p24.04+vstable+git20251031.0254

=== debian/changelog ===
audiotube (25.08.2+p24.04+vstable+git20251031.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:54:51 +0000

## audiotube 25.08.3

=== debian/changelog ===
audiotube (25.08.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 21:03:38 +0000

audiotube (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:38 +1000

## audiotube 25.08.3+p24.04+vunstable+git20251110.1049

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(audiotube VERSION ${RELEASE_SERVICE_VERSION})
@@ -42,6 +42,7 @@
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Sql Widgets Multimedia Concurrent DBus)
 find_package(KF6 REQUIRED COMPONENTS Kirigami I18n CoreAddons Crash WindowSystem IconThemes)
+set(PYBIND11_FINDPYTHON ON)
 find_package(pybind11 REQUIRED)
 find_package(Ytdlp REQUIRED RUNTIME)
 find_package(YTMusicAPI 1.10.2 REQUIRED RUNTIME)

=== debian/changelog ===
audiotube (25.08.3+p24.04+vunstable+git20251110.1049-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 10:49:01 +0000

## audiotube 25.12.0

=== debian/changelog ===
audiotube (25.12.0-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:10:05 +0000

audiotube (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:24 +1000

## audiotube 25.12.0+p24.04+vstable+git20251231.0209

=== debian/changelog ===
audiotube (25.12.0+p24.04+vstable+git20251231.0209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:09:37 +0000

## audiotube 25.12.0+p24.04+vstable+git20260101.0147

=== debian/changelog ===
audiotube (25.12.0+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:09 +0000

## audiotube 25.12.0+p24.04+vstable+git20260103.1131

=== debian/changelog ===
audiotube (25.12.0+p24.04+vstable+git20260103.1131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 11:31:32 +0000

## audiotube 25.12.0+p24.04+vstable+git20260105.0935

=== debian/changelog ===
audiotube (25.12.0+p24.04+vstable+git20260105.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:35:21 +0000

## audiotube 25.12.0+p24.04+vunstable+git20251209.0510

=== debian/changelog ===
audiotube (25.12.0+p24.04+vunstable+git20251209.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:10:24 +0000

## audiotube 25.12.1

=== debian/changelog ===
audiotube (25.12.1-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:46:42 +0000

audiotube (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:46 +1000

## audiotube 25.12.1+p24.04+vstable+git20260106.1831

=== debian/changelog ===
audiotube (25.12.1+p24.04+vstable+git20260106.1831-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 18:31:07 +0000

## audiotube 25.12.1+p24.04+vstable+git20260128.1335

=== debian/changelog ===
audiotube (25.12.1+p24.04+vstable+git20260128.1335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 13:35:26 +0000

## audiotube 25.12.1+p24.04+vstable+git20260130.0940

=== debian/changelog ===
audiotube (25.12.1+p24.04+vstable+git20260130.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:40:18 +0000

## audiotube 25.12.1+p24.04+vunstable+git20260106.1858

=== debian/changelog ===
audiotube (25.12.1+p24.04+vunstable+git20260106.1858-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 18:58:14 +0000

## audiotube 25.12.2+p24.04+vstable+git20260218.0324

=== debian/changelog ===
audiotube (25.12.2+p24.04+vstable+git20260218.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 03:24:59 +0000

audiotube (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:54:11 +0000

## audiotube 25.12.2+p24.04+vstable+git20260219.0433

=== debian/changelog ===
audiotube (25.12.2+p24.04+vstable+git20260219.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:33:32 +0000
